<?xml version="1.0" encoding="iso-8859-1"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
<!-- Scopes/Synopsis/ASG/Operation.html -->
<!-- this view was generated by Scope -->
<head>
<meta content="text/html; charset=iso-8859-1" http-equiv="Content-Type"/>
<title >Synopsis - Synopsis.ASG.Operation</title>
<link href="../../../style.css" type="text/css" rel="stylesheet" />
</head>
<body class="Scope">
<div class="navigation">
<span class="normal"><a href="../../Synopsis.html" >Global Package</a></span>
<span class="normal"><a href="../../../InheritanceTree.html" >Inheritance Tree</a></span>
<span class="normal"><a href="../../../InheritanceGraph.html" >Inheritance Graph</a></span>
<span class="normal"><a href="../../../NameIndex.html" >Name Index</a></span>
</div>
<!-- this part was generated by Heading -->
<div class="class-module">module <a href="../../Synopsis.html" >Synopsis</a>.<a href="../ASG.html" >ASG</a>
</div><div class="class-name">class Operation

</div><div class="links"><div class="file">File: <a href="../../../File/Synopsis/ASG.py.html" target="detail">../Synopsis/ASG.py</a></div> <div class="xref"><a href="../../../XRef/xref1.html#Synopsis.ASG.Operation" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/ASG.py.html#line521" ><img src="../../../src-py.png" alt="source code"/></a></div></div>  <img alt="Operation-inheritance" src="Operation-inheritance.png" hspace="8" vspace="8" border="0" usemap="#Operation-inheritance_map" />
<map name="Operation-inheritance_map"><area alt="Scopes/Synopsis/ASG/OperationTemplate.html" href="OperationTemplate.html" shape="rect" coords="5, 230, 216, 254" />
<area alt="Scopes/Synopsis/Formatters/DocBook/DocBook/_BaseClasses.html" href="../Formatters/DocBook/DocBook/_BaseClasses.html" shape="rect" coords="240, 230, 563, 254" />
<area alt="Scopes/Synopsis/ASG/Function.html" href="Function.html" shape="rect" coords="180, 81, 332, 105" />
<area alt="Scopes/Synopsis/ASG/Declaration.html" href="Declaration.html" shape="rect" coords="172, 6, 340, 30" />
</map>
 <div class="doc">Operation class. An operation is related to a Function and is currently
   identical.
   </div>
<!-- this part was generated by Summary -->
<div class="summary">
<div class="heading">Methods Summary:</div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="__init__">__init__</a>(<span class="variable">self</span>, <span class="variable">file</span>, <span class="variable">line</span>, <span class="variable">type</span>, <span class="variable">premod</span>, <span class="variable">return_type</span>, <span class="variable">postmod</span>, <span class="variable">name</span>, <span class="variable">real_name</span>)  </div> <div class="xref"><a href="../../../XRef/xref1.html#Synopsis.ASG.Operation.__init__" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/ASG.py.html#line525" ><img src="../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="accept">accept</a>(<span class="variable">self</span>, <span class="variable">visitor</span>)  </div> <div class="xref"><a href="../../../XRef/xref1.html#Synopsis.ASG.Operation.accept" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/ASG.py.html#line528" ><img src="../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
</div><!-- summary -->
<!-- this part was generated by Inheritance -->
<table width="100%" summary="Attributes Inherited from Function">
<tr><td colspan="2" class="heading">Attributes Inherited from Function</td></tr>
<tr><td class="inherited"><a href="Function.html#_real_name" title="attribute Function._real_name">_real_name</a>,
<a href="Function.html#premodifier" title="attribute Function.premodifier">premodifier</a>,
<a href="Function.html#return_type" title="attribute Function.return_type">return_type</a>,
<a href="Function.html#parameters" title="attribute Function.parameters">parameters</a>,
<a href="Function.html#postmodifier" title="attribute Function.postmodifier">postmodifier</a>,
<a href="Function.html#exceptions" title="attribute Function.exceptions">exceptions</a></td></tr></table>
<table width="100%" summary="Class attributes Inherited from Function">
<tr><td colspan="2" class="heading">Class attributes Inherited from Function</td></tr>
<tr><td class="inherited"><a href="Function.html#real_name" title="class attribute Function.real_name">real_name</a></td></tr></table>
<table width="100%" summary="Attributes Inherited from Declaration">
<tr><td colspan="2" class="heading">Attributes Inherited from Declaration</td></tr>
<tr><td class="inherited"><a href="Declaration.html#file" title="attribute Declaration.file">file</a>,
<a href="Declaration.html#line" title="attribute Declaration.line">line</a>,
<a href="Declaration.html#name" title="attribute Declaration.name">name</a>,
<a href="Declaration.html#type" title="attribute Declaration.type">type</a>,
<a href="Declaration.html#accessibility" title="attribute Declaration.accessibility">accessibility</a>,
<a href="Declaration.html#annotations" title="attribute Declaration.annotations">annotations</a></td></tr></table>
<!-- this part was generated by Detail -->

<div class="logo">Generated on Thu Apr 16 16:26:54 2009 by 
<br/>
<a href="http://synopsis.fresco.org" target="_blank"><img src="../../../synopsis.png" alt="logo"/> synopsis</a> (version devel)</div>
</body>
</html>
